package com.dev.swms.server.model.abstractEntity;

import java.util.Date;

import com.dev.energy.server.model.Entity;
import com.dev.swms.server.model.base.Address;
import com.dev.swms.server.model.base.BillType;
import com.dev.swms.server.model.base.Contact;
import com.dev.swms.server.model.base.Location;
import com.dev.swms.server.model.base.Structure;
import com.dev.swms.server.model.base.Warehouse;
import com.dev.swms.server.model.base.WarehouseArea;

public class PlanPickTicket extends Entity{
	
	/** 所属仓库 */
	private Warehouse warehouse;
	/** 所属客户 */
	private Structure company;
	/** 库区 */
	private WarehouseArea zone;
	/** 发货单号 */
	private String code;
	/** 相关单据号1 */
	private String relatedBill1;
	/** 相关单据号2 */
	private String relatedBill2;
	/** 相关单据号3 */
	private String relatedBill3;
	/** 状态 */
	private String planStatus;
	/** 状态 */
	private String status;
	/** 订单日期 */
	private Date orderDate;
	/** 发货日期 */
	private Date shipDate;
	/** 到达日期 */
	private Date receivedDate;
	/** 收货方名称 */
	private String shipToName;
	/** 收货方地址 */
	private Address shipToAddress;
	/** 收货方联系方式 */
	private Contact shipToContact;
	/** 订单数量 */
	private double orderQuantity;
	/** 预分配数量 */
	private double preAllocatedQuantity;
	/** 已分配数量 */
	private double allocatedQuantity;
	/** 拣货数量 */
	private double pickedQuantity;
	/** 已发运数量 */
	private double shippedQuantity;
	/** 最后修改人ID */
	private Long userID;
	/** 最后修改人姓名 */
	private String userName;
	/** 最后修改时间 */
	private Date updateTime;
	/** 单据类型 */
	private BillType billType;
	
	/** 备注 */
	private String description;
	
	
	
	private double volume;//体积
	
	private double weight;//重量
	
	private double realWeight;//--毛重
	/** 所属库区 */
	private WarehouseArea zone1;//收货库仓库
	/** 所属库区 */
	private WarehouseArea zone2;//出库仓库
	private String outType;//出库类型
	private String packType1;//生产计划月份
	
	
	//包装类型1、数量1，包装类型2，数量2，包装类型3，数量3
	private double quantity1=0;
	private String packType2;//备货指示单
	private double quantity2=0;
	private String packType3;
	private double quantity3=0;
	/** 数量 */
	private double qty1;
	/** 数量 */
	private double qty2;
	/** 数量 */
	private double qty3;
	/** 数量 */
	private double qty4;
	/** 数量 */
	private double qty5;
	
	
	public double getQty1() {
		return qty1;
	}
	public void setQty1(double qty1) {
		this.qty1 = qty1;
	}
	public double getQty2() {
		return qty2;
	}
	public void setQty2(double qty2) {
		this.qty2 = qty2;
	}
	public double getQty3() {
		return qty3;
	}
	public void setQty3(double qty3) {
		this.qty3 = qty3;
	}
	public double getQty4() {
		return qty4;
	}
	public void setQty4(double qty4) {
		this.qty4 = qty4;
	}
	public double getQty5() {
		return qty5;
	}
	public void setQty5(double qty5) {
		this.qty5 = qty5;
	}
	public WarehouseArea getZone1() {
		return zone1;
	}
	public void setZone1(WarehouseArea zone1) {
		this.zone1 = zone1;
	}
	public WarehouseArea getZone2() {
		return zone2;
	}
	public void setZone2(WarehouseArea zone2) {
		this.zone2 = zone2;
	}
	public String getOutType() {
		return outType;
	}
	public void setOutType(String outType) {
		this.outType = outType;
	}
	public Warehouse getWarehouse() {
		return warehouse;
	}
	public void setWarehouse(Warehouse warehouse) {
		this.warehouse = warehouse;
	}
	public Structure getCompany() {
		return company;
	}
	public void setCompany(Structure company) {
		this.company = company;
	}
	public WarehouseArea getZone() {
		return zone;
	}
	public void setZone(WarehouseArea zone) {
		this.zone = zone;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getRelatedBill1() {
		return relatedBill1;
	}
	public void setRelatedBill1(String relatedBill1) {
		this.relatedBill1 = relatedBill1;
	}
	public String getRelatedBill2() {
		return relatedBill2;
	}
	public void setRelatedBill2(String relatedBill2) {
		this.relatedBill2 = relatedBill2;
	}
	public String getRelatedBill3() {
		return relatedBill3;
	}
	public void setRelatedBill3(String relatedBill3) {
		this.relatedBill3 = relatedBill3;
	}
	public String getPlanStatus() {
		return planStatus;
	}
	public void setPlanStatus(String planStatus) {
		this.planStatus = planStatus;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public Date getOrderDate() {
		return orderDate;
	}
	public void setOrderDate(Date orderDate) {
		this.orderDate = orderDate;
	}
	public Date getShipDate() {
		return shipDate;
	}
	public void setShipDate(Date shipDate) {
		this.shipDate = shipDate;
	}
	public Date getReceivedDate() {
		return receivedDate;
	}
	public void setReceivedDate(Date receivedDate) {
		this.receivedDate = receivedDate;
	}
	public String getShipToName() {
		return shipToName;
	}
	public void setShipToName(String shipToName) {
		this.shipToName = shipToName;
	}
	public Address getShipToAddress() {
		return shipToAddress;
	}
	public void setShipToAddress(Address shipToAddress) {
		this.shipToAddress = shipToAddress;
	}
	public Contact getShipToContact() {
		return shipToContact;
	}
	public void setShipToContact(Contact shipToContact) {
		this.shipToContact = shipToContact;
	}
	public double getOrderQuantity() {
		return orderQuantity;
	}
	public void setOrderQuantity(double orderQuantity) {
		this.orderQuantity = orderQuantity;
	}
	public double getPreAllocatedQuantity() {
		return preAllocatedQuantity;
	}
	public void setPreAllocatedQuantity(double preAllocatedQuantity) {
		this.preAllocatedQuantity = preAllocatedQuantity;
	}
	public double getAllocatedQuantity() {
		return allocatedQuantity;
	}
	public void setAllocatedQuantity(double allocatedQuantity) {
		this.allocatedQuantity = allocatedQuantity;
	}
	public double getPickedQuantity() {
		return pickedQuantity;
	}
	public void setPickedQuantity(double pickedQuantity) {
		this.pickedQuantity = pickedQuantity;
	}
	public double getShippedQuantity() {
		return shippedQuantity;
	}
	public void setShippedQuantity(double shippedQuantity) {
		this.shippedQuantity = shippedQuantity;
	}
	public Long getUserID() {
		return userID;
	}
	public void setUserID(Long userID) {
		this.userID = userID;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public Date getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	public BillType getBillType() {
		return billType;
	}
	public void setBillType(BillType billType) {
		this.billType = billType;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public double getVolume() {
		return volume;
	}
	public void setVolume(double volume) {
		this.volume = volume;
	}
	public double getWeight() {
		return weight;
	}
	public void setWeight(double weight) {
		this.weight = weight;
	}
	public double getRealWeight() {
		return realWeight;
	}
	public void setRealWeight(double realWeight) {
		this.realWeight = realWeight;
	}
	public String getPackType1() {
		return packType1;
	}
	public void setPackType1(String packType1) {
		this.packType1 = packType1;
	}
	public double getQuantity1() {
		return quantity1;
	}
	public void setQuantity1(double quantity1) {
		this.quantity1 = quantity1;
	}
	public String getPackType2() {
		return packType2;
	}
	public void setPackType2(String packType2) {
		this.packType2 = packType2;
	}
	public double getQuantity2() {
		return quantity2;
	}
	public void setQuantity2(double quantity2) {
		this.quantity2 = quantity2;
	}
	public String getPackType3() {
		return packType3;
	}
	public void setPackType3(String packType3) {
		this.packType3 = packType3;
	}
	public double getQuantity3() {
		return quantity3;
	}
	public void setQuantity3(double quantity3) {
		this.quantity3 = quantity3;
	}
	
	
	
}
